'--------------------------------------------------------------------------------
'  ExternalIP.vbs (v1.3)
'--------------------------------------------------------------------------------
'
' Retreives your external IP address from http://checkip.dyndns.org/ (this is 
' useful for computers behind routers and firewalls)
'
' Changes in v1.3
'
' - international version returns 2 IP addresses if you have multiple NICs in your
'   computer - fixed to only show one. (Thanks Rasman)
'
' Changes in v1.2
'
' - uses new URL to save bandwidth
' - Old script was actually returning proxy IP, not actual IP!
'
' Changes in v1.1:
'
' - Added error messages
' - Hid relevant functions from Samurize 0.85b
'
'								-NeM
'--------------------------------------------------------------------------------

Function getExternalIP ()


	dim htmlResult

	htmlResult = ReturnHTML("http://checkip.dyndns.org/")

	leftMark = instr(htmlResult, "Address: " ) + 9

	if Instr(htmlResult, ",") > 0 Then
		rightMark = instr( htmlResult, ",") - 1
	else
		rightMark = instr( htmlResult, "</body>") - 1
	End If

	if rightMark > 0 Then

		'grabs the IP
		getExternalIP = mid( htmlResult, leftMark, rightMark - leftMark + 1)

	else
		getExternalIP = "ERROR"

	end if

End Function

Private Function ReturnHTML(sURL)
	Dim objXMLHTTP,HTML
	Set objXMLHTTP = CreateObject("Microsoft.XMLHTTP")
	objXMLHTTP.Open "GET", sURL, False
	objXMLHTTP.Send
	HTML = objXMLHTTP.responseBody
	Set objRS = CreateObject("ADODB.Recordset")
	objRS.Fields.Append "txt", 200, 45000, &H00000080
	objRS.Open
	objRS.AddNew
	objRS.Fields("txt").AppendChunk HTML
	ReturnHTML = objRS("txt").Value
	objRS.Close
	Set objRS = Nothing
	Set objXMLHTTP = Nothing

End Function
